#rh-7.0-2

%define name	basesystem
%define version	2010.0
%define release	%mkrel 1

Summary:	The skeleton package which defines a simple Mandriva Linux system
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Base
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	kernel basesystem-minimal
%ifnarch %mips
Requires:	bootloader
%endif
# (sb) need pdisk hfsutils ybin mktemp to setup bootloader PPC
%ifarch ppc
Requires:	pdisk hfsutils ybin mktemp mkinitrd pmac-utils
%endif
# (fg) 20001027 ia64 uses eli as a bootloader
%ifarch ia64
Requires:	mkinitrd
%endif

%package minimal
Summary:	The skeleton package which defines a simple Mandriva Linux system for chroot systems
Group:		System/Base

Requires:	setup filesystem sed initscripts kbd utempter
Requires:	chkconfig coreutils sysvinit crontabs dev
Requires:	e2fsprogs etcskel findutils grep gzip less 
Requires:	logrotate losetup mingetty mount net-tools passwd procps
Requires:	psmisc rootfiles rpm sash shadow-utils 
Requires:	stat tar termcap time util-linux vim
Requires:	vixie-cron which perl-base common-licenses
Requires:	module-init-tools
Requires:	mandriva-release >= 2008.1
Requires:	syslog-daemon

# (gb) Add timezone database here for now before moving it to DrakX
Requires:	timezone

# MDK 9.0 requires a working libgcc
# Note: gcc3.2 is the system compiler there
Requires:	libgcc >= 3.2-1mdk

%package uml
Summary:	The skeleton package which defines a simple Mandriva Linux system to be run under UML
Group:		System/Base
Requires:	basesystem-minimal
Requires:	dhcp-client
Requires:   urpmi

%description
Basesystem defines the components of a basic Mandriva Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description minimal
Basesystem defines the components of a basic Mandriva Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description uml
Basesystem defines the components of a basic Mandriva Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

This package can be used to setup a full and working system runned with
kernel-uml, using urpmi %{name}-uml  --root ...

%files
%files minimal
%files uml


%changelog
* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 2010.0-1mdv2010.0
+ Revision: 448803
- bump version to 2010.0
- do not require bootloader for mips (from Arnaud Patard)

* Tue Sep 01 2009 Christophe Fergeau <cfergeau@mandriva.com> 2009.0-5mdv2010.0
+ Revision: 423673
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2009.0-4mdv2010.0
+ Revision: 413154
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 2009.0-3mdv2009.1
+ Revision: 350172
- 2009.1 rebuild

* Sat Jul 12 2008 Olivier Thauvin <nanardon@mandriva.org> 2009.0-2mdv2009.0
+ Revision: 234021
- add -uml subpackage
- move arch-specific bootloader (ppc + ia64) from minimal to standard package (eg like x86* arch)

* Thu May 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 203831
- bump version (no changes)

  + Oden Eriksson <oeriksson@mandriva.com>
    - bump release

* Fri Feb 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-7mdv2008.1
+ Revision: 173938
- ldconfig is no more
- s/SysVinit/sysvinit/

* Thu Jan 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-6mdv2008.1
+ Revision: 154126
- move bootloader require from minimal subpackage to main one

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-5mdv2008.1
+ Revision: 152842
- split minimal subpackage that doesn't require kernel so that iurt's chroots
  are simpler (no drakxtools-backend, ...); next step would be moving syslog requires

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-4mdv2008.1
+ Revision: 148914
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2008.0-3mdv2008.0
+ Revision: 84912
- requires virtual package syslog-daemon, not mandatorily sysklogd

* Wed Aug 01 2007 Olivier Blin <oblin@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 57690
- require kbd instead of console-tools

* Mon Jun 18 2007 Adam Williamson <awilliamson@mandriva.org> 2008.0-1mdv2008.0
+ Revision: 41050
- update for 2008.0
- Import basesystem



* Fri Sep 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 2007.0-2mdv2007.0
- fix requires


* Fri Sep 22 2006 Warly <warly@mandriva.com> 2007.0-1mdv2007.0
- requires mandriva-release > 2007.0

* Mon Jun 05 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 10.1-6mdv2007.0
- %%mkrel
- drop %%ifarch for x86 and sparc as dependency on bootloader is sufficient
- cosmetics

* Fri Sep  2 2005 Stew Benedict <sbenedict@mandriva.com> 10.1-5mdk
- drop bdflush from requires

* Thu Aug 11 2005 Flavio Bruno Leitner <flavio@mandriva.com> 10.1-4mdk
- changed requires from modutils to module-init-tools

* Tue Aug  2 2005 Olivier Blin <oblin@mandriva.com> 10.1-3mdk
- change requires back to sysklogd since syslog-ng doesn't work on
  fresh installs
- fix summary ended with dot
- use Mandriva

* Thu Jul 14 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 10.1-2mdk
- Changed requires from sysklogd to syslog-daemon

* Mon Sep  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 10.1-1mdk
- Mandrakelinux

* Fri Sep  3 2004 Warly <warly@mandrakesoft.com> 10.1-0.1mdk
- Change the version to 10.1

* Wed Jan  7 2004 Pixel <pixel@mandrakesoft.com> 10.0-0.2mdk
- require bootloader (instead of lilo / aboot / elilo / ...)

* Tue Jan  6 2004 Pixel <pixel@mandrakesoft.com> 10.0-0.1mdk
- don't require mkbootdisk anymore

* Thu Apr 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.2-1mdk
- add mkbootdisk for x86-64

* Fri Oct 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-3mdk
- Requires: s/fileutils, sh-utils, textutils/coreutils/

* Sun Oct  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-2mdk
- Requires: lilo on x86-64 too

* Tue Sep 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-1mdk
- Requires: libgcc >= 3.2-1mdk

* Sat Jun 15 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.2-3mdk
- Requires: timezone here for now until DrakX deals with it directly
- Requires: ldconfig on IA-64 too

* Tue Apr  2 2002 Pixel <pixel@mandrakesoft.com> 8.2-2mdk
- don't require tmpwatch (not mandatory)

* Fri Feb 22 2002 Pixel <pixel@mandrakesoft.com> 8.2-1mdk
- next version is... 8.2 :)

* Fri Feb 22 2002 Pixel <pixel@mandrakesoft.com> 8.1-5mdk
- add BuildRoot to please rpmlint
- remove requires
  * ntsysv (replaced by drakxservices)
  * procmail (not needed)
  * libtermcap2 (no need to require libraries)
  * basesystem (why was it there?)

* Thu Jan 24 2002 Pixel <pixel@mandrakesoft.com> 8.1-4mdk
- remove requires
  * hdparm setserial (not needed by many hardware)
  * info man (not needed with excludedocs)
  * getty_ps
  * ash (there's sash which is much more useful)

* Thu Jan 24 2002 Pixel <pixel@mandrakesoft.com> 8.1-3mdk
- remove requires 
  * isapnptools (now required by sndconfig)
  * grub (lilo *is* needed, but not grub)
  * msec (DrakX will ensure it is installed in 99%% of installs)

* Tue Dec  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.1-2mdk
- s|Copyright|Licenses|;

* Fri Sep 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 8.1-1mdk
- Rebuild.

* Wed Jul 11 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 8.0-5mdk
- add mkinitrd for ia64

* Fri Jul  6 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 8.0-4mdk
- change eli to elilo

* Fri May 11 2001 Stew Benedict <sebedict@mandrakesoft.com> 8.0-3mdk
- remove kernel-pmac, add pmac-utils to requires - PPC

* Thu Mar 22 2001 Stew Benedict <sbenedict@mandrakesoft.com> 8.0-2mdk
- add mkinitrd to requires - PPC

* Tue Mar 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 8.0-1mdk
- following lib policy, add libtermcap2 to basesystem
- bomb version to ``8.0''

* Wed Mar 7 2001 Stew Benedict <sbenedict@mandrakesoft.com> 7.2-5mdk
- ppc add mktemp to requires

* Fri Feb 13 2001 Stew Benedict <sbenedict@mandrakesoft.com> 7.2-4mdk
- ppc: requires ybin

* Fri Oct 27 2000 Francis Galiegue <fg@mandrakesoft.com> 7.2-2mdk

- ia64: does not require ldconfig nor procmail for now - KLUDGE - see spec file
  for details
- ia64: requires eli

* Mon Oct  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 7.2-1mdk
- 7.2

* Fri Mar 24 2000 Pixel <pixel@mandrakesoft.com> 7.1-4mdk
- remove the BuildArchitectures: noarch
(otherwise can't have arch dependent Requires, silly me)

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 7.1-3mdk
- changed require vim-minimal to vim (thanks Quel Qun)

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 7.1-2mdk
- added a *lot* of requires. Now *is* the base

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.1-1mdk
- Upgrade version.
- Update groups.

* Thu Dec  2 1999 Pixel <pixel@linux-mandrake.com>
- changed back Requires to preReq :(

* Wed Dec  1 1999 Pixel <pixel@linux-mandrake.com>
- changed preReq to Requires

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build in the new environement (VER: 6mdk).

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- don't require rpm (breaks dependency chain)

* Tue Mar 16 1999 Erik Troan <ewt@redhat.com>
- require rpm

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
